Skip to main content
GET
Retrieve Meters stored in the Data Warehouse over a period of time.

Authorizations

Authorization
string
header
required

m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.

The authorizationCode flow controls access for human users via the m3ter Console application.

FlowAuthorization Code
Authorization URL
https://m3ter.auth.us-east-1.amazoncognito.com/oauth2/authorize
Token URL
https://m3ter.auth.us-east-1.amazoncognito.com/oauth2/token
FlowClient Credentials
Token URL
/oauth/token

Path Parameters

orgId
string
required

UUID of the organization

Query Parameters

startDate
string

Start date

endDate
string

End date

limit
integer<int32> | null

Response

Returns a list of Meters from the Data Warehouse.

Response containing Meters and their dimension names and measure names.

values
object[]

List of Meters.